Subject: Re: [PATCH 1/3] patch-id: make it stable against hunk reordering

From: Junio C Hamano <[email-masked]>
Date: Thu, 27 Mar 2014 11:03:46 -0700

"Michael S. Tsirkin" <[email-masked]> writes:

> I started to remove that code, but then I recalled why I did it like
> this.  There is a good reason.  Yes, you can't simply reorder hunks just
> like this.  But you can get the same effect by prefixing the header:

Yes, that is one of the things I personally have on the chopping
block.  Having to deal with more than occurrences of the same
pathname in the input made things in builtin/apply.c unnecessarily
complex and I do not see a real gain for being able to concatenate
two patches and feed it into a single "git apply" invocation.